org.eclipse.jetty.websocket

## Interface WebSocketServletConnection

- All Superinterfaces:
    AsyncConnection, Connection, WebSocketConnection
  All Known Implementing Classes:
    WebSocketServletConnectionD00, WebSocketServletConnectionD06, WebSocketServletConnectionD08, WebSocketServletConnectionRFC6455

      public interface WebSocketServletConnection
      extends WebSocketConnection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handshake(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String subprotocol)`

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocketConnection

      `fillBuffersFrom, getConnection, getExtensions, shutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.nio.AsyncConnection

      `onInputShutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `getTimeStamp, handle, isIdle, isSuspended, onClose, onIdleExpired`

- - ### Method Detail

    - #### handshake

          void handshake(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       String subprotocol)
                         throws IOException

      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.